---
title: GeolocationPositionError
slug: Web/API/GeolocationPositionError
tags:
  - API
  - Geolocation API
  - GeolocationPositionError
  - Interface
  - Secure context
---
<div>{{securecontext_header}}{{APIRef("Geolocation API")}}</div>

<p>The <strong><code>GeolocationPositionError</code></strong> interface represents the reason of an error occurring when using the geolocating device.</p>

<h2 id="Properties">Properties</h2>

<p><em>The <code>GeolocationPositionError</code> interface <em>doesn't inherit any property</em></em>.</p>

<dl>
 <dt>{{domxref("GeolocationPositionError.code")}} {{readonlyInline}} {{securecontext_inline}}</dt>
 <dd>Returns an <code>unsigned short</code> representing the error code. The following values are possible:
 <table class="standard-table">
  <tbody>
   <tr>
    <th scope="col">Value</th>
    <th scope="col">Associated constant</th>
    <th scope="col">Description</th>
   </tr>
   <tr>
    <td><code>1</code></td>
    <td><code>PERMISSION_DENIED</code></td>
    <td>The acquisition of the geolocation information failed because the page didn't have the permission to do it.</td>
   </tr>
   <tr>
    <td><code>2</code></td>
    <td><code>POSITION_UNAVAILABLE</code></td>
    <td>The acquisition of the geolocation failed because at least one internal source of position returned an internal error.</td>
   </tr>
   <tr>
    <td><code>3</code></td>
    <td><code>TIMEOUT</code></td>
    <td>The time allowed to acquire the geolocation, defined by {{domxref("PositionOptions.timeout")}} information was reached before the information was obtained.</td>
   </tr>
  </tbody>
 </table>
 </dd>
 <dt>{{domxref("GeolocationPositionError.message")}} {{readonlyInline}} {{securecontext_inline}}</dt>
 <dd>Returns a human-readable {{domxref("DOMString")}} describing the details of the error. Specifications note that this is primarily intended for debugging use and not to be shown directly in a user interface.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em><em>The </em><code>GeolocationPositionError</code><em> interface <em>neither implements nor inherits any method.</em></em></em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Geolocation', '#position_error_interface', 'GeolocationPositionError')}}</td>
   <td>{{Spec2('Geolocation')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.GeolocationPositionError")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Geolocation_API/Using">Using the Geolocation API</a></li>
 <li>{{domxref("Geolocation")}}</li>
</ul>
